Bug 441366 - g-d-p does not active tv-out
g-d-p does not active tv-out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-07 14:48 EDT by Daniel Qarras
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:11:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xrandr output from F10Beta on Acer Aspire 1690 (1.64 KB, text/plain)
2008-10-04 06:08 EDT, Daniel Qarras
no flags Details

  None (edit)
Description Daniel Qarras 2008-04-07 14:48:31 EDT
When trying to activate tv-out on my laptop with gnome-display-properties,
nothing happens! After starting g-d-p I see only Laptop 15" display but nothing
else. This output is printed:


[root@localhost ~]# gnome-display-properties 
CRTC 4a Timestamp: 250297
CRTC 4b Timestamp: 250297
Output 4c Timestamp: 250297
Output 4d Timestamp: 250297
Output 4e Timestamp: 250297
Output 4f Timestamp: 250297
  output VGA-0 off: -1 -1 -1 -1
  output LVDS on: 0 0 1280 800
  output S-video off: -1 -1 -1 -1
  output DVI-0 off: -1 -1 -1 -1
sorting
Close


On command line sth like these work:

# On
xrandr --addmode S-video 800x600
xrandr --output S-video --mode 800x600
xrandr --output S-video --set tv_standard pal
xrandr --output S-video --off
xrandr --output S-video --mode 800x600

# Off
xrandr --output S-video --off

Please notice that one needs to be able to set the correct TV standard, too!

Tested with control-center-2.22.0-4.fc9.i386.
Comment 1 Daniel Qarras 2008-04-09 16:40:30 EDT
Now with control-center-2.22.1-2.fc9.i386 I see a "Detect Displays" button. When
pressed, TV flashes and sometimes a second display is added to g-d-p central
screen. However, only button that seems to have some effect is "Close". For
example, setting lower resolution for laptop and pressing Apply, nothing
happens. Also, when restarting g-d-p, old settings are lost.

Cheers!
Comment 2 Daniel Qarras 2008-05-05 18:54:59 EDT
control-center-2.22.1-4.fc9.i386 is better, I've even something from my TV!
However, it works more or less without logic etc so I'll test a bit later next
time. Thanks!
Comment 3 Bug Zapper 2008-05-14 05:07:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Wegener 2008-06-07 09:16:11 EDT
See also related bug: https://bugzilla.redhat.com/show_bug.cgi?id=443906

Can you give more details on your video chipset, xorg driver and laptop model?
Comment 5 Daniel Qarras 2008-06-07 09:43:44 EDT
My laptop is an Acer Aspire 1690 with ATI Mobility Radeon X700 using the ati
driver. My television is using the PAL standard so using PAL is also a must for me.

I'm using Fedora 9 now and the situation is as described above. With WinXP and
from command line things work.
Comment 6 Daniel Qarras 2008-10-04 06:08:33 EDT
Created attachment 319452 [details]
xrandr output from F10Beta on Acer Aspire 1690
Comment 7 Daniel Qarras 2008-10-04 06:09:09 EDT
Tested this with F10Beta. g-p-d looks nicer but now for some reason xrandr does not realize that tv-out is connected to my telly. Attaching xrandr output from F10Beta on Acer Aspire 1690.
Comment 8 Daniel Qarras 2008-10-04 08:49:32 EDT
Actually the whole tv-out is missing with my ATI card, I opened Bug 465607 for that.
Comment 9 John Poelstra 2008-10-15 17:29:51 EDT
This bug has been triaged
Comment 10 Bug Zapper 2008-11-25 21:11:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Daniel Qarras 2009-04-03 11:03:48 EDT
> Actually the whole tv-out is missing with my ATI card,
> I opened Bug 465607 for that.

This is still the case, so obviously this bug is present, too. After Bug 465607 is resolved it makes sense to get back to this, not at all earlier.
Comment 12 Tim Wegener 2009-04-03 23:06:25 EDT
(In reply to comment #11)
> > Actually the whole tv-out is missing with my ATI card,
> > I opened Bug 465607 for that.
> 
> This is still the case, so obviously this bug is present, too. After Bug 465607
> is resolved it makes sense to get back to this, not at all earlier.  

This problem also occurs with Intel graphics, so the last comment is not necessarily true.
Comment 13 Daniel Qarras 2009-04-10 12:55:31 EDT
FWIW, I was able to test with VGA and in that g-d-p seems to be working almost perfectly: the additional display is there, it can be turned on and off. However, the GUI is a bit flaky but that is another matter.
Comment 14 Bastien Nocera 2009-05-07 23:37:02 EDT
I guess the problem actually is that there's no support for TV-Out in gnome-display-properties at all (or in gnome-desktop for that matter).

Unfortunately my old laptop only has VGA output, and the more recent one has an HDMI one, so I won't be the one fixing this.
Comment 15 Bug Zapper 2009-06-09 05:31:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Daniel Qarras 2009-11-06 12:08:04 EST
The current situation with Fedora 12 Beta / Rawhide is that with my ATI card this seems to work. I wonder what happens with Intel card, see comment #12.
Comment 17 Bug Zapper 2009-11-16 03:04:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-11-04 07:57:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-12-05 02:11:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.